<ion-header>
    <ion-toolbar>
        <ion-buttons>
            <ion-title> <img src="../../../assets/img/Shopcart.png"></ion-title>

        </ion-buttons>
    </ion-toolbar>
</ion-header>

<ion-content class="ion-padding">

    <form [formGroup]="signInform" (ngSubmit)="register()">

        <div class="row">

            <h3 text-center>Signup</h3>

            <div>
                <ion-item>
                    <ion-label position="floating" class="light-color">Username</ion-label>
                    <ion-input type="text" formControlName="userName" class="form-control" [ngClass]="{ 'is-invalid': submitted && f.userName.errors }">
                    </ion-input>

                </ion-item>
                <div *ngIf="submitted && f.userName.errors" class="invalid-feedback">
                    <div class="err-msg" *ngIf="f.userName.errors.required">User Name is required</div>
                </div>
            </div>

            <div>
                <ion-item>
                    <ion-label position="floating" class="light-color">Email Id</ion-label>
                    <ion-input type="email" formControlName="email" class="form-control" [ngClass]="{ 'is-invalid': submitted && f.email.errors }">
                    </ion-input>

                </ion-item>
                <div *ngIf="submitted && f.email.errors" class="invalid-feedback">
                    <div class="err-msg" *ngIf="f.email.errors.required">Email is required</div>
                </div>
            </div>

            <div>
                <ion-item>
                    <ion-label position="floating" class="light-color">Mobile</ion-label>
                    <ion-input type="text" formControlName="mobile" class="form-control" [ngClass]="{ 'is-invalid': submitted && f.mobile.errors }"></ion-input>

                </ion-item>
                <div *ngIf="submitted && f.mobile.errors" class="invalid-feedback">
                    <div class="err-msg" *ngIf="f.mobile.errors.required">Mobile Number is required</div>
                </div>
            </div>


            <div>
                <ion-item>
                    <ion-label position="floating" class="light-color">Password</ion-label>
                    <ion-input type="text" formControlName="password" class="form-control" [ngClass]="{ 'is-invalid': submitted && f.password.errors }"></ion-input>


                </ion-item>
                <div *ngIf="submitted && f.password.errors" class="invalid-feedback">
                    <div class="err-msg" *ngIf="f.password.errors.required">Password is required</div>
                </div>
            </div>


            <!-- <div class="col-md-12">
                            <label>First Name</label>
                            <input type="text" formControlName="firstName" class="form-control" [ngClass]="{ 'is-invalid': submitted && f.firstName.errors }" />
                            <div *ngIf="submitted && f.firstName.errors" class="invalid-feedback">
                                <div *ngIf="f.firstName.errors.required">First Name is required</div>
                            </div>
                        </div>
                        <div class="col-md-12">
                            <input type="text" formControlName="lastName" class="form-control" [ngClass]="{ 'is-invalid': submitted && f.lastName.errors }" />
                            <div *ngIf="submitted && f.lastName.errors" class="invalid-feedback">
                                <div *ngIf="f.lastName.errors.required">Last Name is required</div>
                            </div>
                        </div> -->
        </div>

        <div class="login-btn ion-padding">
            <ion-button type="submit" expand="block" class="">Login</ion-button>
        </div>

    </form>

</ion-content>